import unittest
from app import app

class FlaskAppTests(unittest.TestCase):

    def setUp(self):
        # Crée un client de test
        self.app = app.test_client()
        self.app.testing = True

    def test_winner_template_rendered_on_10th_visit(self):
        # Test pour vérifier si le template winner.html est rendu après le 10ème visite
        for _ in range(9):
            self.app.get('/')
        response = self.app.get('/')
        # Cette assertion dépend de la manière dont vous affichez le contenu dans 'winner.html'
        self.assertIn('Vous avez gagné votre diplôme', response.get_data(as_text=True))

if __name__ == '__main__':
    unittest.main()
